
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio Version 17
VisualStudioVersion = 17.12.35527.113
MinimumVisualStudioVersion = 10.0.40219.1
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "YangjieTester", "YangjieTester\YangjieTester.csproj", "{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "PlcCom", "PlcCom\PlcCom.csproj", "{C4417822-36E9-48DF-A0CD-2122E397B615}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "UiControl", "PlcUiControl\UiControl.csproj", "{883BBEE5-00FB-434E-8A1E-76291C478AEF}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "XmlSymbolParser", "XmlSymbolParser\XmlSymbolParser.csproj", "{5F75A58A-C72D-4331-93B6-EEC4B89FB805}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "DataService", "DataService\DataService.csproj", "{61D6F9A5-869D-486D-9340-57DBD6EEC80D}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Model", "Model\Model.csproj", "{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Permission", "Permission\Permission.csproj", "{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AppSession", "AppSession\AppSession.csproj", "{67ABE38F-38C5-430E-A834-6A4B2A4D9434}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "StandardLibrary", "StandardLibrary\StandardLibrary.csproj", "{EF2D4242-FD78-4138-B140-56FDD9FFCB27}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "BackGroundService", "BackGroundService\BackGroundService.csproj", "{7D394678-78D2-49B4-9B54-7D7A83F80118}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ControlOperationType", "OperableControlModel\ControlOperationType.csproj", "{07D21BBA-22D6-4069-A15E-61F2E7A08F00}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Any CPU = Debug|Any CPU
		Debug|x64 = Debug|x64
		Release|Any CPU = Release|Any CPU
		Release|x64 = Release|x64
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Debug|x64.ActiveCfg = Debug|x64
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Debug|x64.Build.0 = Debug|x64
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Release|Any CPU.Build.0 = Release|Any CPU
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Release|x64.ActiveCfg = Release|x64
		{646AB70D-BAB2-4B11-BF42-BB1A0DE38595}.Release|x64.Build.0 = Release|x64
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Debug|x64.ActiveCfg = Debug|x64
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Debug|x64.Build.0 = Debug|x64
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Release|Any CPU.Build.0 = Release|Any CPU
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Release|x64.ActiveCfg = Release|x64
		{C4417822-36E9-48DF-A0CD-2122E397B615}.Release|x64.Build.0 = Release|x64
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Debug|x64.ActiveCfg = Debug|x64
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Debug|x64.Build.0 = Debug|x64
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Release|Any CPU.Build.0 = Release|Any CPU
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Release|x64.ActiveCfg = Release|x64
		{883BBEE5-00FB-434E-8A1E-76291C478AEF}.Release|x64.Build.0 = Release|x64
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Debug|x64.ActiveCfg = Debug|x64
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Debug|x64.Build.0 = Debug|x64
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Release|Any CPU.Build.0 = Release|Any CPU
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Release|x64.ActiveCfg = Release|x64
		{5F75A58A-C72D-4331-93B6-EEC4B89FB805}.Release|x64.Build.0 = Release|x64
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Debug|x64.ActiveCfg = Debug|x64
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Debug|x64.Build.0 = Debug|x64
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Release|Any CPU.Build.0 = Release|Any CPU
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Release|x64.ActiveCfg = Release|x64
		{61D6F9A5-869D-486D-9340-57DBD6EEC80D}.Release|x64.Build.0 = Release|x64
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Debug|x64.ActiveCfg = Debug|x64
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Debug|x64.Build.0 = Debug|x64
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Release|Any CPU.Build.0 = Release|Any CPU
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Release|x64.ActiveCfg = Release|x64
		{A9222C43-A5BA-4010-B7C8-EBA38C31F9FC}.Release|x64.Build.0 = Release|x64
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Debug|x64.ActiveCfg = Debug|x64
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Debug|x64.Build.0 = Debug|x64
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Release|Any CPU.Build.0 = Release|Any CPU
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Release|x64.ActiveCfg = Release|x64
		{B4BDA9D6-A05D-4C0C-A1D3-AFD9A1596D84}.Release|x64.Build.0 = Release|x64
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Debug|x64.ActiveCfg = Debug|x64
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Debug|x64.Build.0 = Debug|x64
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Release|Any CPU.Build.0 = Release|Any CPU
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Release|x64.ActiveCfg = Release|x64
		{67ABE38F-38C5-430E-A834-6A4B2A4D9434}.Release|x64.Build.0 = Release|x64
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Debug|x64.ActiveCfg = Debug|x64
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Debug|x64.Build.0 = Debug|x64
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Release|Any CPU.Build.0 = Release|Any CPU
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Release|x64.ActiveCfg = Release|x64
		{EF2D4242-FD78-4138-B140-56FDD9FFCB27}.Release|x64.Build.0 = Release|x64
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Debug|x64.ActiveCfg = Debug|x64
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Debug|x64.Build.0 = Debug|x64
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Release|Any CPU.Build.0 = Release|Any CPU
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Release|x64.ActiveCfg = Release|x64
		{7D394678-78D2-49B4-9B54-7D7A83F80118}.Release|x64.Build.0 = Release|x64
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Debug|x64.ActiveCfg = Debug|x64
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Debug|x64.Build.0 = Debug|x64
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Release|Any CPU.Build.0 = Release|Any CPU
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Release|x64.ActiveCfg = Release|x64
		{07D21BBA-22D6-4069-A15E-61F2E7A08F00}.Release|x64.Build.0 = Release|x64
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(ExtensibilityGlobals) = postSolution
		SolutionGuid = {791C5678-F89D-4D6B-89CD-93A723704052}
	EndGlobalSection
EndGlobal
